#ifndef DISPLAY_H
#define DISPLAY_H

#define BITCOUNT 6

#define D_PORT		    PORTC
#define D_PIN			PINC
#define D_DDR			DDRC
#define D_CLK			PC0
#define D_STR			PC1

#define D_D1			PC2
#define D_D2			PC3
#define D_D3			PC4
#define D_D4			PC5



void Clock(void);
void Strobe(void);

void ShowNumber(uint8_t line1, uint8_t line2, uint8_t line3, uint8_t  line4);

//void convertTime(uint8_t hour, unsigned  char minute, unsigned  char second);
void convertTime(uint8_t hour, unsigned  char minute, unsigned  char second, uint8_t* data);
#endif
// vim:ts=4
